Status: Closed

Priority: Normal

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 23516

Description

When adding a newly discovered WMS/WMTS layer from Metasearch, the GetCapabilities takes a long time and fails. The sme entry,

once added, works fine.

History

#1 - 2016-09-27 03:57 AM - Tom Kralidis

Worksforme.  Can you provide further details and use case so I can try to reproduce?

#2 - 2016-09-28 12:00 AM - Paolo Cavallini

Tested again on qgis 2.16.2: searched `land` from geopole, clicked on Add WMS/WMTS, the Add WMS dialog opens, then it waits until it gets `Impossibile

scaricare le capabilities:Download di capabilities non riuscito: Operation canceled`. Clicking on Load afterwards works fine, immediately.

#3 - 2016-09-28 04:06 AM - Tom Kralidis

Still worksforme.  Trying to reproduce, when searching for land I get 640 results.  Clicking on the first result (Stadtstruktur 2001 (Umweltatlas))

worksforme.  Is this the search result you are working against as well or something else?

#4 - 2016-12-28 08:06 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2017-01-04 05:10 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

It seems to work in 2.18 now.

Thanks.
